@import '../../variables.scss';

.cards-section {
  flex: 1;

  &--gradient {
    background-image: $bia-gradient-primary;

    & > .cards-section__title {
      color: $bia-white;
    }
  }

  &__title {
    font-size: $text-md;
    line-height: $text-lg;
    font-weight: 500;
    color: $bia-gray;
    text-transform: uppercase;

    &--white {
      color: $bia-white;
    }
  }

  &__list {
    white-space: nowrap;
    overflow: auto;
  }
}

@media (min-width: $lg) {
  .cards-section {
    &--gradient {
      background-image: $bia-gradient-royalty;

      .section-button {
        color: $bia-white;
        border-color: $bia-white;
      }
    }

    &__title {
      font-size: $text-xxl;
      text-transform: unset;
      width: 70%;
    }
  }
}
